Bug 554603 - Review Request: garcon - Implementation of the freedesktop.org menu specification
Review Request: garcon - Implementation of the freedesktop.org menu specifica...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-12 00:38 EST by Christoph Wickert
Modified: 2011-05-19 14:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 20:02:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2010-01-12 00:38:12 EST
Spec URL: http://cwickert.fedorapeople.org/review/garcon.spec
SRPM URL: http://cwickert.fedorapeople.org/review/garcon-0.1.0-1.fc13.src.rpm
Description: Garcon is an implementation of the freedesktop.org menu pecification replacing the former Xfce menu library libxfce4menu. It is based on GLib/GIO only and aims at covering the entire specification except for legacy menus.
Comment 1 Kevin Fenzi 2010-01-12 00:46:57 EST
I'd be happy to review this tomorrow.
Comment 2 Kalev Lember 2010-01-12 02:38:18 EST
%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       gtk-doc
Requires:       pkgconfig
# not yet in place
#Provides:       libxfce4menu = 4.6.2 
#Obsoletes:      libxfce4menu < 4.6.2


-devel should probably obsolete/provide libxfce4menu-devel, not just plain libxfce4menu.
Comment 3 Christoph Wickert 2010-01-12 03:00:44 EST
rigth, copy and paste error
Comment 4 Kevin Fenzi 2010-01-12 16:13:43 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (LGPLv2+ and GFDL1.1)
See below - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
d41255b631f505b26171317d872762ed  garcon-0.1.0.tar.bz2
d41255b631f505b26171317d872762ed  garcon-0.1.0.tar.bz2.orig

See below - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage. 
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. The License tag should just have "LGPLv2+ and GFDL". We don't seem to note versions
on the GFDL. 

2. This packge has the same: 
checking whether to build gtk-doc documentation... no
but it builds it anyhow. 

3. rpmlint says: 

Ignore: 

garcon.i586: W: spelling-error-in-summary en_US freedesktop
garcon.i586: W: spelling-error-in-description en_US freedesktop
garcon.i586: W: spelling-error-in-description en_US Xfce
garcon.i586: W: spelling-error-in-description en_US libxfce
garcon.i586: W: spelling-error-in-description en_US GLib
garcon.src: W: spelling-error-in-summary en_US freedesktop
garcon.src: W: spelling-error-in-description en_US freedesktop
garcon.src: W: spelling-error-in-description en_US Xfce
garcon.src: W: spelling-error-in-description en_US libxfce
garcon.src: W: spelling-error-in-description en_US GLib

Fix by using "GFDL" only there. 

garcon.i586: W: invalid-license GFDL1.1
garcon.src: W: invalid-license GFDL1.1
garcon-debuginfo.i586: W: invalid-license GFDL1.1
garcon-devel.i586: W: invalid-license GFDL1.1

The license tag can be fixed on import and the gtk-doc thing is just a curiosity, 
so this package is APPROVED.
Comment 5 Christoph Wickert 2010-01-12 18:14:49 EST
(In reply to comment #4)
> Ignore: 
> 
> garcon.i586: W: spelling-error-in-summary en_US freedesktop
> garcon.i586: W: spelling-error-in-description en_US freedesktop
> garcon.i586: W: spelling-error-in-description en_US Xfce
> garcon.i586: W: spelling-error-in-description en_US libxfce
> garcon.i586: W: spelling-error-in-description en_US GLib
> garcon.src: W: spelling-error-in-summary en_US freedesktop
> garcon.src: W: spelling-error-in-description en_US freedesktop
> garcon.src: W: spelling-error-in-description en_US Xfce
> garcon.src: W: spelling-error-in-description en_US libxfce
> garcon.src: W: spelling-error-in-description en_US GLib

I don't get these here, but I'm using de_DE.

> Fix by using "GFDL" only there. 
> 
> garcon.i586: W: invalid-license GFDL1.1
> garcon.src: W: invalid-license GFDL1.1
> garcon-debuginfo.i586: W: invalid-license GFDL1.1
> garcon-devel.i586: W: invalid-license GFDL1.1

Fixed.

> The license tag can be fixed on import and the gtk-doc thing is just a
> curiosity, 

As explained in bug 554599 the docs are prebuilt, there is no need to rebuild them. However it is a little more sane, you get to know when something goes wrong. That's why I now added --enable-gtk-doc

New Package CVS Request
=======================
Package Name: garcon
Short Description: Implementation of the freedesktop.org menu specification
Owners: cwickert kevin
Branches: 
InitialCC:
Comment 6 Jason Tibbitts 2010-01-13 13:09:39 EST
CVS done (by process-cvs-requests.py)
Comment 7 Christoph Wickert 2010-01-13 20:02:52 EST
Built for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=1920142
Comment 8 Orion Poplawski 2011-05-19 14:08:13 EDT
Package Change Request
======================
Package Name: garcon
New Branches: el6
Owners: cwickert kevin orion
InitialCC: 

Kevin/Chris - please ACK or update Owners.  Thanks!
Comment 9 Kevin Fenzi 2011-05-19 14:18:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.